Skip to main content

Lock/Unlock Snapshot

PUT/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}

Path parameters

  • node_idPathstringrequired

    Path parameter node_id.

  • snapshot_uuidPathstringrequired

    Path parameter snapshot_uuid.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key for authenticating the lock/unlock snapshot request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the target location for the lock or unlock operation

    • required
    • non-empty string
    example{{location}}

Request body

application/json

object
locked_statusboolean

Indicates if the snapshot should be locked (true) or unlocked (false).

examplefalse
  • must be a boolean
  • required
resource_typestring

Specifies the type of resource to lock or unlock

examplenode
  • must be a non-empty string
  • allowed values: node, volume, snapshot

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of the lock/unlock operation

example200
  • must be a valid HTTP status code
  • must be a non-negative integer
dataobject
errorsobject
messagestring

Status message indicating the result of the lock or unlock snapshot operation

exampleSuccess
  • must be a non-empty string
  • maximum length of 255 characters